Package com.independentsoft.office.odf.forms

# Class FixedText

java.lang.Object
com.independentsoft.office.odf.forms.Control
com.independentsoft.office.odf.forms.FixedText

All Implemented Interfaces:
  `IFormContent`, `IContentElement`

public class FixedText extends Control
Defines a control which attaches additional information to controls, or displays information. Only one label may be associated with a control.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.forms.Control

  `eventListeners, parent, properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FixedText()`
  Initializes a new instance of the FixedText class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FixedText`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `String`
  `getControlImplementation()`
  Gets the specific concrete rendition or implementation of a control that should be instantiated.
  `String`
  `getDefaultValue()`
  Gets the default value of an input control.
  `String`
  `getForControls()`
  Contains a comma separated list of control elements that are the targets of the elements where this attribute appears.
  `String`
  `getID()`
  Gets an identifier for a control element.
  `String`
  `getLabel()`
  Gets the text for a control.
  `String`
  `getName()`
  Gets the name of a form or control element.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `String`
  `getTitle()`
  Gets additional information about a control.
  `boolean`
  `isDisabled()`
  Specifies whether a control can accept user input.
  `boolean`
  `isMultiLine()`
  Specifies whether a label is displayed on multiple lines.
  `boolean`
  `isPrintable()`
  Specifies whether a control is printed when a user prints a document in which the control is contained.
  `void`
  `setControlImplementation​(String controlImplementation)`
  Sets the specific concrete rendition or implementation of a control that should be instantiated.
  `void`
  `setDefaultValue​(String defaultValue)`
  Sets the default value of an input control.
  `void`
  `setDisabled​(boolean isDisabled)`
  Specifies whether a control can accept user input.
  `void`
  `setForControls​(String forControls)`
  Contains a comma separated list of control elements that are the targets of the elements where this attribute appears.
  `void`
  `setID​(String id)`
  Sets an identifier for a control element.
  `void`
  `setLabel​(String label)`
  Sets the text for a control.
  `void`
  `setMultiLine​(boolean isMultiLine)`
  Specifies whether a label is displayed on multiple lines.
  `void`
  `setName​(String name)`
  Sets the name of a form or control element.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setPrintable​(boolean isPrintable)`
  Specifies whether a control is printed when a user prints a document in which the control is contained.
  `void`
  `setTitle​(String title)`
  Sets additional information about a control.
  `String`
  `toString()`
  Converts the value of the current FixedText object to its equivalent string representation.

  ### Methods inherited from class com.independentsoft.office.odf.forms.Control

  `getEventListeners, getProperties`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FixedText

    public FixedText()
    Initializes a new instance of the FixedText class.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Specified by:
      `getContentElements` in class `Control`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Overrides:
      `getParent` in class `Control`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Overrides:
      `setParent` in class `Control`
    Parameters:
      `parent` - the new parent

  - ### clone

    public FixedText clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IFormContent`
    Specified by:
      `clone` in class `Control`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current FixedText object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the name of a form or control element.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name of a form or control element.
    Parameters:
      `name` - the new name

  - ### getControlImplementation

    public String getControlImplementation()
    Gets the specific concrete rendition or implementation of a control that should be instantiated.
    Returns:
      the control implementation

  - ### setControlImplementation

    public void setControlImplementation​(String controlImplementation)
    Sets the specific concrete rendition or implementation of a control that should be instantiated.
    Parameters:
      `controlImplementation` - the new control implementation

  - ### getID

    public String getID()
    Gets an identifier for a control element.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets an identifier for a control element.
    Parameters:
      `id` - the new id

  - ### getDefaultValue

    public String getDefaultValue()
    Gets the default value of an input control.
    Returns:
      the default value

  - ### setDefaultValue

    public void setDefaultValue​(String defaultValue)
    Sets the default value of an input control.
    Parameters:
      `defaultValue` - the new default value

  - ### isDisabled

    public boolean isDisabled()
    Specifies whether a control can accept user input.
    Returns:
      true, if is disabled

  - ### setDisabled

    public void setDisabled​(boolean isDisabled)
    Specifies whether a control can accept user input.
    Parameters:
      `isDisabled` - the new disabled

  - ### isPrintable

    public boolean isPrintable()
    Specifies whether a control is printed when a user prints a document in which the control is contained.
    Returns:
      true, if is printable

  - ### setPrintable

    public void setPrintable​(boolean isPrintable)
    Specifies whether a control is printed when a user prints a document in which the control is contained.
    Parameters:
      `isPrintable` - the new printable

  - ### isMultiLine

    public boolean isMultiLine()
    Specifies whether a label is displayed on multiple lines.
    Returns:
      true, if is multi line

  - ### setMultiLine

    public void setMultiLine​(boolean isMultiLine)
    Specifies whether a label is displayed on multiple lines.
    Parameters:
      `isMultiLine` - the new multi line

  - ### getTitle

    public String getTitle()
    Gets additional information about a control. The value of the attribute can be used as a tool tip.
    Returns:
      the title

  - ### setTitle

    public void setTitle​(String title)
    Sets additional information about a control. The value of the attribute can be used as a tool tip.
    Parameters:
      `title` - the new title

  - ### getForControls

    public String getForControls()
    Contains a comma separated list of control elements that are the targets of the elements where this attribute appears.
    Returns:
      the for controls

  - ### setForControls

    public void setForControls​(String forControls)
    Contains a comma separated list of control elements that are the targets of the elements where this attribute appears.
    Parameters:
      `forControls` - the new for controls

  - ### getLabel

    public String getLabel()
    Gets the text for a control.
    Returns:
      the label

  - ### setLabel

    public void setLabel​(String label)
    Sets the text for a control.
    Parameters:
      `label` - the new label